Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericDocumentType

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.GenericDocumentType

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, DocumentType, EventTarget, Node

    public class GenericDocumentType

extends AbstractChildNode
implements DocumentType

This class implements the `DocumentType` interface.

See Also:
  Serialized Form

Field Summary
`protected String` | `publicId`
`protected String` | `qualifiedName`
`protected String` | `systemId`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`GenericDocumentType(String qualifiedName, String publicId, String systemId)`

Method Summary
`NamedNodeMap` | `getEntities()` DOM: Implements `DocumentType.getEntities()`.
`String` | `getInternalSubset()` DOM: Implements `DocumentType.getInternalSubset()`.
`String` | `getName()` DOM: Implements `DocumentType.getName()`.
`String` | `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` | `getNodeType()`
`NamedNodeMap` | `getNotations()` DOM: Implements `DocumentType.getNotations()`.
`String` | `getPublicId()` DOM: Implements `DocumentType.getPublicId()`.
`String` | `getSystemId()` DOM: Implements `DocumentType.getSystemId()`.
`boolean` | `isReadonly()` Tests whether this node is readonly.
`protected Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setReadonly(boolean ro)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, copyInto, createDOMException, deepCopyInto, deepExport, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, getTextContent, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setNodeName, setNodeValue, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### qualifiedName

    protected String qualifiedName

### publicId

    protected String publicId

### systemId

    protected String systemId

Constructor Detail

### GenericDocumentType

    public GenericDocumentType(String qualifiedName,
                               String publicId,
                               String systemId)

Method Detail

### getNodeName

    public String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `Node`
  Returns:
    The name of the DTD.

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `Node`

### isReadonly

    public boolean isReadonly()

  Description copied from interface: `ExtendedNode`
  Tests whether this node is readonly.

  Specified by:
    `isReadonly` in interface `ExtendedNode`

### setReadonly

    public void setReadonly(boolean ro)

  Description copied from interface: `ExtendedNode`
  Sets this node readonly attribute.

  Specified by:
    `setReadonly` in interface `ExtendedNode`

### getName

    public String getName()

  DOM: Implements `DocumentType.getName()`.

  Specified by:
    `getName` in interface `DocumentType`
  Returns:
    The name of the DTD.

### getEntities

    public NamedNodeMap getEntities()

  DOM: Implements `DocumentType.getEntities()`.

  Specified by:
    `getEntities` in interface `DocumentType`
  Returns:
    null.

### getNotations

    public NamedNodeMap getNotations()

  DOM: Implements `DocumentType.getNotations()`.

  Specified by:
    `getNotations` in interface `DocumentType`
  Returns:
    null.

### getPublicId

    public String getPublicId()

  DOM: Implements `DocumentType.getPublicId()`.

  Specified by:
    `getPublicId` in interface `DocumentType`
  Returns:
    The public id.

### getSystemId

    public String getSystemId()

  DOM: Implements `DocumentType.getSystemId()`.

  Specified by:
    `getSystemId` in interface `DocumentType`
  Returns:
    The public id.

### getInternalSubset

    public String getInternalSubset()

  DOM: Implements `DocumentType.getInternalSubset()`.

  Specified by:
    `getInternalSubset` in interface `DocumentType`
  Returns:
    The public id.

### newNode

    protected Node newNode()

  Description copied from class: `AbstractNode`
  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.